AgentConnect
Computers

Get an organization’s managed computer quotas (admin)

A deployment administrator’s view of any organization’s managed computer quotas and usage, as GET /orgs/{orgId}/computers/quotas returns them, without being a member. 403 for anyone else; 404 for an unknown organization.

GET
/v1/admin/orgs/{orgId}/computers/quotas

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/admin/orgs/string/computers/quotas"
{  "defaults": {    "runningDesktops": 0,    "desktops": 0,    "storageGib": 0,    "monthlyDesktopHours": 0,    "modes": {      "ephemeral": {        "runningDesktops": 0,        "desktops": 0      },      "per-agent": {        "runningDesktops": 0,        "desktops": 0      },      "manual": {        "runningDesktops": 0,        "desktops": 0      }    },    "viewers": 0,    "viewersPerComputer": 0,    "monthlyViewerGib": 0,    "screenshotStorageGib": 0,    "screenshotRetentionDays": 0  },  "override": {    "runningDesktops": 0,    "desktops": 0,    "storageGib": 0,    "monthlyDesktopHours": 0,    "modes": {      "ephemeral": {        "runningDesktops": 0,        "desktops": 0      },      "per-agent": {        "runningDesktops": 0,        "desktops": 0      },      "manual": {        "runningDesktops": 0,        "desktops": 0      }    },    "viewers": 0,    "viewersPerComputer": 0,    "monthlyViewerGib": 0,    "screenshotStorageGib": 0,    "screenshotRetentionDays": 0  },  "limits": {    "runningDesktops": 0,    "desktops": 0,    "storageGib": 0,    "monthlyDesktopHours": 0,    "modes": {      "ephemeral": {        "runningDesktops": 0,        "desktops": 0      },      "per-agent": {        "runningDesktops": 0,        "desktops": 0      },      "manual": {        "runningDesktops": 0,        "desktops": 0      }    },    "viewers": 0,    "viewersPerComputer": 0,    "monthlyViewerGib": 0,    "screenshotStorageGib": 0,    "screenshotRetentionDays": 0  },  "used": {    "runningDesktops": -9007199254740991,    "desktops": -9007199254740991,    "storageGib": 0,    "monthlyDesktopHours": 0,    "modes": {      "property1": {        "runningDesktops": -9007199254740991,        "desktops": -9007199254740991      },      "property2": {        "runningDesktops": -9007199254740991,        "desktops": -9007199254740991      }    },    "viewers": -9007199254740991,    "monthlyViewerGib": 0,    "screenshotStorageGib": 0  },  "volumeGib": 0,  "canEdit": true}